<?php

	session_start();
	
	include('database.php');
	DB_connexion(); 

	$sql = "SELECT id,statut_compte, cle FROM membres  WHERE id = '" . $_GET["id"] . "' AND cle = '" . strtolower($_GET["cle"]) . "' ";
	$retour = mysql_query($sql);

    // Si une erreur survient
    if(!$retour)
      {
               $message = "Une erreur est survenue lors de l'activation de votre compte utilisateur";
	  }
    else
          {
				 // Si aucun enregistrement n'est trouvé
               if(mysql_num_rows($retour) == 0)
               {
                    header("Location: 6465index.php");
               }
               else
               {
                    
                    // Récupération du tableau de données retourné
                    $row = mysql_fetch_array($retour);
                    
                    // Vérification que le compte ne soit pas déjà activé
                    if($row["statut_compte"] != "creation")
                    {
                         $message = "Votre compte utilisateur a déjà été activé";
                    }
                    else
                    {
                         
						$sql = "UPDATE membres SET statut_compte = 'actif' WHERE id = '" . $_GET["id"] . "' ";
						$retour = mysql_query($sql); 
						 
                         // Activation du compte utilisateur
                         /*$result = mysql_query("
                              UPDATE Comptes_Utilisateurs
                              SET Compte_Active = '1'
                              WHERE ID_Utilisateur = '" . $_GET["id"] . "'
                              AND Clef_Activation = '" . strtolower($_GET["clef"]) . "'
                         ");*/
                         
                         // Si une erreur survient
                         if(!$retour)
                         {
                              $message = "Une erreur est survenue lors de l'activation de votre compte utilisateur";
                         }
                         else
                         {
                              $message = "Votre compte utilisateur a correctement été activé";
                         }
                         
                    }
                    
               }
		  
						mysql_close();
          }   

?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="fr" xml:lang="fr" xmlns="http://www.w3.org/1999/xhtml">
<head>
     <title>Activation du compte</title>
     <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>
<p><?php echo $message; ?></p>
<br>
<br>
<p><?php  echo '<a href="index.php">Cliquer pour accéder au site</a>'; ?></p>


</body>
</html>